org.firebirdsql.jna.fbclient

## Class ISC_ARRAY_BOUND

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND

Direct Known Subclasses:
  ISC_ARRAY_BOUND.ByReference, ISC_ARRAY_BOUND.ByValue

    public class ISC_ARRAY_BOUND
    extends com.sun.jna.Structure

JNA wrapper for ISC_ARRAY_BOUND.

This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

This file was modified manually, do not automatically regenerate!

Since:
  3.0

### Nested Class Summary

Nested Classes
`static class` `ISC_ARRAY_BOUND.ByReference`
`static class` `ISC_ARRAY_BOUND.ByValue`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`short` `array_bound_lower`
`short` `array_bound_upper`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ISC_ARRAY_BOUND()`
`ISC_ARRAY_BOUND(short array_bound_lower, short array_bound_upper)`

### Method Summary

Methods
`protected java.util.List` `getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### array_bound_lower

    public short array_bound_lower

#### array_bound_upper

    public short array_bound_upper

### Constructor Detail

#### ISC_ARRAY_BOUND

    public ISC_ARRAY_BOUND()

#### ISC_ARRAY_BOUND

    public ISC_ARRAY_BOUND(short array_bound_lower,
                   short array_bound_upper)

### Method Detail

#### getFieldOrder

    protected java.util.List getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`